Subject: Re: Fennel ?

From: [email-masked] (Tiberium Sun)
Date: Fri, 03 Nov 1995 21:26:09 GMT

[email-masked] (Rick Cook) wrote:
Rick,
Thanks alot for posting a reply so soon and may God look upon you with
favour.
>>(I asked)   Anybody got any recipees for fennel?
>Lots of them. 
Rick could you please email me some. I'll make it worth your while
with  an attatchment for you as an email file.
>Roasted with a little olive oil. Stalks separated and stuffed
>for crudities? Used in stews and soups where the licorice/anise flavor is
>appropiate. etc.
Exactly what part of the plant do you mean?
Can you use the white turnipy part of the root?

I read somewhere that it was believed by the ancients that fennel gave
them courage, longevity and strength.
And I know that the seed can be used for flavouring soups and fish
And its also used as a purgative and can help infant stomach aches.

I've never cooked with fennel before but have an excess of it growing
in the backyard and they do grow true from their own seed ; )
sow it's spreading like bushfire.
None of my recipee books have fennel dishes in them.
I'm a little bit worried about eating the wrong part of the plant
and getting sick or the runs  : )
So if you can help me out with a recipee that would be great.
Thanks,
Brett